Bug 138770 - pinfo corrupts memory --> glibc kills it
pinfo corrupts memory --> glibc kills it
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pinfo (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 20:33 EST by Sami Farin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-23 13:13:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
memory corruption fix (436 bytes, patch)
2004-11-10 20:35 EST, Sami Farin
no flags Details | Diff
small memleak fix (310 bytes, patch)
2004-11-10 20:36 EST, Sami Farin
no flags Details | Diff

  None (edit)
Description Sami Farin 2004-11-10 20:33:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
pinfo corrupts glibc's internal states, causing abnormal program
termination if you're unlucky.

also, fixed one small memory leak (patch attached).


Version-Release number of selected component (if applicable):
pinfo-0.6.8-2

How reproducible:
Always

Steps to Reproduce:
1. have gcc-3.4.3 info files installed.  (maybe other versions work, too.)
2. start "pinfo gcc"
3. select ``Keyword Index''
4. select any of the topics.

    

Actual Results:  *** glibc detected *** double free or corruption:
0x0807aec8 ***

(pinfo gets killed)

Expected Results:  getting the topic I wanted.


Additional info:

glibc-2.3.3-73 (i686)
Comment 1 Sami Farin 2004-11-10 20:35:17 EST
Created attachment 106466 [details]
memory corruption fix
Comment 2 Sami Farin 2004-11-10 20:36:48 EST
Created attachment 106467 [details]
small memleak fix
Comment 4 Mike A. Harris 2004-12-23 13:13:31 EST
Thanks for the report, and patches!  Patches applied to 
pinfo-0.6.8-8, and built in Fedora development.

Thanks again.

Note You need to log in before you can comment on or make changes to this bug.